#!/usr/bin/env fish

docker run -it --rm \
	-v (pwd):/zorne \
	zmkfirmware/zmk-build-arm:2.4 sh -c 'cd /zorne
		mkdir -p /zorne/config
		mkdir -p /zorne/_built
		cp -r /zorne/corne.keymap /zorne/corne.conf /zorne/west.yml /zorne/config/
		west init -l config
		west update
		west zephyr-export
		echo "Building left"
		west build -s zmk/app -b nice_nano -- -DSHIELD=corne_left -DZMK_CONFIG="."
		cp build/zephyr/zmk.uf2 _built/corne_left_nice_nano.uf2
		echo "Building right"
		west build --pristine -s zmk/app -b nice_nano -- -DSHIELD=corne_right -DZMK_CONFIG="${GITHUB_WORKSPACE}/config"
		cp build/zephyr/zmk.uf2 _built/corne_right_nice_nano.uf2'
